
QGIS Application - Bug report #3778

Simple symbols rendering incorrectly in the composer and when printed

2011-04-26 07:08 PM - Alister Hood

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13836

Description

Refer to the attached project.

1. Part of the valve symbol (the two triangles) is missing in the composer (and printouts).

2. Lines in the symbols that should be blue are printed as black.

Associated revisions

Revision 578914a7 - 2011-02-13 06:20 PM - Jürgen Fischer

fix #3477 & #3778

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15165 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 6fb92df5 - 2011-02-13 06:20 PM - Jürgen Fischer

fix #3477 & #3778

git-svn-id: http://svn.osgeo.org/qgis/trunk@15165 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-04-26 07:14 PM - Alister Hood

Ah.

Further investigation reveals that the missing part of the valve symbol is not actually missing - it is rotated incorrectly.  If I change the rotation from 180 to 90

then it looks the way I want (but of course then it looks wrong everywhere except the composer and printouts).

N.B. the symbol rotation problem also affects SVG output (the black lines problem does not affect SVG output).

#2 - 2011-04-26 07:16 PM - Alister Hood

(By "SVG output" I mean export to SVG, not that SVG symbols are also rendered incorrectly in the output)

#3 - 2011-05-20 02:02 PM - Marco Hugentobler

- Resolution set to fixed
http://svn.osgeo.org/qgis/trunk/qgis@15165
http://svn.osgeo.org/qgis/trunk@15165


- Status changed from Open to Closed

Fixed in commit:d85320b7a2daf87d91af

Files

test.zip 3.57 KB 2011-04-26 Alister Hood
